Arbor 3: FSM & BT Graph Editor 3.6.0

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleEnumAny Class Reference

参照方法が複数ある柔軟なenum型を扱うクラス。 More...

Inheritance diagram for FlexibleEnumAny:

## Public Member Functions
| FlexibleEnumAny ()
| FlexibleEnumAnyデフォルトコンストラクタ More...
| FlexibleEnumAny (int value)
| FlexibleEnumAnyコンストラクタ More...
| FlexibleEnumAny (AnyParameterReference parameter)
| FlexibleEnumAnyコンストラクタ More...
| FlexibleEnumAny (InputSlotAny slot)
| FlexibleEnumAnyコンストラクタ More...
T | GetEnumValue< T > ()
| enum型の値を返す。 More...
object | GetValueObject ()
| 値をobjectで返す。 More...

## Static Public Member Functions
static | operator int (FlexibleEnumAny flexible)
| FlexibleEnumAnyをintにキャスト。 More...
static | operator FlexibleEnumAny (int value)
| intをFlexibleEnumAnyにキャスト。 More...

## Properties
FlexibleType | type`[get]`
| Typeを返す More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
int | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なenum型を扱うクラス。

使用可能な属性 :

- ClassTypeConstraintAttribute
- SlotTypeAttribute

## Constructor & Destructor Documentation

## ◆ FlexibleEnumAny() [1/4]

FlexibleEnumAny | ( |  | ) |

FlexibleEnumAnyデフォルトコンストラクタ

## ◆ FlexibleEnumAny() [2/4]

FlexibleEnumAny | ( | int | value | ) |

FlexibleEnumAnyコンストラクタ

Parameters

  value | 値

## ◆ FlexibleEnumAny() [3/4]

FlexibleEnumAny | ( | AnyParameterReference | parameter | ) |

FlexibleEnumAnyコンストラクタ

Parameters

  parameter | パラメータ

## ◆ FlexibleEnumAny() [4/4]

FlexibleEnumAny | ( | InputSlotAny | slot | ) |

FlexibleEnumAnyコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

## ◆ GetEnumValue< T >()

T GetEnumValue< T > | ( |  | ) |

enum型の値を返す。

Template Parameters

  T | enumの型

Returns
  enum型の値

Type Constraints

  T | : | struct |

## ◆ GetValueObject()

object GetValueObject | ( |  | ) |

値をobjectで返す。

Returns
  値のobject

Implements IFlexibleField.

## ◆ operator FlexibleEnumAny()

static operator FlexibleEnumAny | ( | int | value | ) |
| explicit static

intをFlexibleEnumAnyにキャスト。

Parameters

  value | int

## ◆ operator int()

static operator int | ( | FlexibleEnumAny | flexible | ) |
| explicit static

FlexibleEnumAnyをintにキャスト。

Parameters

  flexible | FlexibleEnumAny

## Property Documentation

## ◆ parameter

Parameter parameter
| get

Parameterを返す。TypeがParameter以外の場合はnull。

## ◆ type

FlexibleType type
| get

Typeを返す

## ◆ value

int value
| get

値を返す